# Interface methods for submodule: SigmoidImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: SigmoidImageFilter
class SigmoidImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def SetAlpha(self, alpha: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

	def SetBeta(self, beta: float) -> None:
		""""""
		...

	def GetBeta(self) -> float:
		""""""
		...

	@overload
	def SetOutputMinimum(self, min: float) -> None:
		""""""
		...

	@overload
	def SetOutputMinimum(self, min: int) -> None:
		""""""
		...

	@overload
	def GetOutputMinimum(self) -> float:
		""""""
		...

	@overload
	def GetOutputMinimum(self) -> int:
		""""""
		...

	@overload
	def SetOutputMaximum(self, max: float) -> None:
		""""""
		...

	@overload
	def SetOutputMaximum(self, max: int) -> None:
		""""""
		...

	@overload
	def GetOutputMaximum(self) -> float:
		""""""
		...

	@overload
	def GetOutputMaximum(self) -> int:
		""""""
		...

